Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse Opening Error(I get an error every time I try to open eclipse)
icon1.gif  Eclipse Opening Error [message #1744883] Sat, 01 October 2016 10:42 Go to next message
Sarah Elizabeth is currently offline Sarah ElizabethFriend
Messages: 1
Registered: October 2016
Junior Member
I downloaded two JDKs and I downloaded two separate versions of Eclipse, but every time I try to run either version of the application, I get this error message:

index.php/fa/27271/0/


Does anyone know how to fix this? I'm in college studying computer science so I need to have Eclipse up and running as soon as possible in order to complete assignments.

Thanks!
Re: Eclipse Opening Error [message #1744899 is a reply to message #1744883] Sun, 02 October 2016 04:05 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30217
Registered: July 2009
Senior Member
Did you use the Eclipse Installer to create this installation? It generally knows the right -vm option to add. Did you add this one yourself manually? It sounds a bit like this problem:

http://stackoverflow.com/questions/25614637/eclipse-jvm-terminated-exit-code-2
Re: Eclipse Opening Error [message #1744901 is a reply to message #1744899] Sun, 02 October 2016 05:05 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3421
Registered: July 2009
Senior Member

I can guess what -XX:UseStringDeduplication is supposed to do, but I'd give good odds on it not being a supported option, and why the VM keeps exiting abnormally.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Eclipse Opening Error [message #1744904 is a reply to message #1744901] Sun, 02 October 2016 07:13 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30217
Registered: July 2009
Senior Member
Nitin, note that if these are bad options, the latest Eclipse's itself always has those, e.g., these appear in the downloaded Neon.1 packages:

-XX:+UseG1GC
-XX:+UseStringDeduplication

Also, even the Eclipse Installer produces those, though not explicitly but rather (I assume) via the touch point instructions in the artifact metadata.

So if that's really a problem, it seems questionable they should always be included because the appear to be specific to the Sun JVM. But I assume all JVMs support -XX options and should generally ignore unrecognized options.
Previous Topic:Library path changes after build
Next Topic:Eclipse Neon not loading on macOS Sierra after a clean install
Goto Forum:
  


Current Time: Mon Jun 24 13:13:59 GMT 2019

Powered by FUDForum. Page generated in 0.03136 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top